#include "dev.h"
#include "print.h"

volatile unsigned int sclk;

void
SysTick_Handler()
{
  sclk++;
  PC= sclk;
}

char printc(char c)
{
  SPRINT= c;
  return c;
}

int main()
{
  PC= 0x55AA;
  PA= 0;
  
  WATCH->PRE= 24;
  WATCH->CTRL= 1; 
  SysTick_Config(100);
  __enable_irq();

  print_f("sim=%d\n", SPRINT);
  while (1)
    {
      PA++;
      PB= PI;
      PD= PJ;
    }
  return 0;
}
